# ApplicationFramework
TKPShape
PBRep

# PBRep_GCurve Class Reference

`#include <PBRep_GCurve.hxx>`

Inheritance diagram for PBRep_GCurve:

[legend]

## Public Member Functions

Standard_EXPORT Standard_Real | First () const
Standard_EXPORT Standard_Real | Last () const
Standard_EXPORT void | First (const Standard_Real F)
Standard_EXPORT void | Last (const Standard_Real L)
virtual Standard_EXPORT Standard_Boolean | IsGCurve () const
| returns TRUE
| PBRep_GCurve ()
| PBRep_GCurve (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPBRep_GCurvemyFirst () const
void | _CSFDB_SetPBRep_GCurvemyFirst (const Standard_Real p)
Standard_Real | _CSFDB_GetPBRep_GCurvemyLast () const
void | _CSFDB_SetPBRep_GCurvemyLast (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | PBRep_GCurve (const PTopLoc_Location &L, const Standard_Real First, const Standard_Real Last)

## Private Attributes

Standard_Real | myFirst
Standard_Real | myLast

## Constructor & Destructor Documentation

PBRep_GCurve::PBRep_GCurve | ( |  | ) | `[inline]`

PBRep_GCurve::PBRep_GCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

Standard_EXPORT PBRep_GCurve::PBRep_GCurve | ( | const PTopLoc_Location & | L,
|  | const Standard_Real | First,
|  | const Standard_Real | Last
| ) | `[protected]`

## Member Function Documentation

Standard_Real PBRep_GCurve::_CSFDB_GetPBRep_GCurvemyFirst | ( |  | ) | const`[inline]`

Standard_Real PBRep_GCurve::_CSFDB_GetPBRep_GCurvemyLast | ( |  | ) | const`[inline]`

void PBRep_GCurve::_CSFDB_SetPBRep_GCurvemyFirst | ( | const Standard_Real | p | ) | `[inline]`

void PBRep_GCurve::_CSFDB_SetPBRep_GCurvemyLast | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT void PBRep_GCurve::First | ( | const Standard_Real | F | ) |

Standard_EXPORT Standard_Real PBRep_GCurve::First | ( |  | ) | const

Standard_EXPORT const PBRep_GCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_CurveRepresentation. Reimplemented in PBRep_Curve3D, PBRep_CurveOnClosedSurface, and PBRep_CurveOnSurface.

virtual Standard_EXPORT Standard_Boolean PBRep_GCurve::IsGCurve | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_CurveRepresentation.

Standard_EXPORT void PBRep_GCurve::Last | ( | const Standard_Real | L | ) |

Standard_EXPORT Standard_Real PBRep_GCurve::Last | ( |  | ) | const

## Field Documentation

Standard_Real PBRep_GCurve::myFirst `[private]`

Standard_Real PBRep_GCurve::myLast `[private]`

The documentation for this class was generated from the following file:

- PBRep_GCurve.hxx